/*
 * (C) Copyright 2006-2013 Nuxeo SA (http://nuxeo.com/) and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Contributors:
 *     Nuxeo - initial API and implementation
 *
 */

package org.nuxeo.ecm.core.event.test.virusscan.service;

import org.nuxeo.ecm.core.api.Blob;

/**
 * Interface that should be implemented to encapsulate call to a Virus Scanning service : command line or WebService
 *
 * @author <a href="mailto:tdelprat@nuxeo.com">Tiry</a>
 */
public interface ScanService {

    /**
     * Scan a Blob and returns info about the scan result
     *
     * @param blob the blob to be scaned
     * @return the status
     */
    ScanResult scanBlob(Blob blob);

}
