/*
 * (C) Copyright 2012 Nuxeo SA (http://nuxeo.com/) and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Contributors:
 *     ataillefer
 */
package org.nuxeo.ecm.diff.service;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;

import javax.inject.Inject;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.nuxeo.ecm.core.api.CoreSession;
import org.nuxeo.ecm.core.schema.types.Field;
import org.nuxeo.ecm.core.test.CoreFeature;
import org.nuxeo.ecm.diff.service.ComplexPropertyHelper;
import org.nuxeo.runtime.test.runner.Deploy;
import org.nuxeo.runtime.test.runner.Features;
import org.nuxeo.runtime.test.runner.FeaturesRunner;

/**
 * Tests the ComplexPropertyHelper class. TODO: add tests
 *
 * @author <a href="mailto:ataillefer@nuxeo.com">Antoine Taillefer</a>
 */
@RunWith(FeaturesRunner.class)
@Features(CoreFeature.class)
@Deploy({ "org.nuxeo.diff.test" })
public class TestComplexPropertyHelper {

    @Inject
    protected CoreSession session;

    @Test
    public void testGetField() {

        Field field = ComplexPropertyHelper.getField("simpletypes", "string");
        assertNotNull(field);
        assertEquals("string", field.getName().getLocalName());
        assertEquals("string", field.getType().getName());

        field = ComplexPropertyHelper.getField("simpletypes", "textarea");
        assertNotNull(field);
        assertEquals("textarea", field.getName().getLocalName());
        assertEquals("string", field.getType().getName());
    }
}
