/*
 * (C) Copyright 2006-2008 Nuxeo SA (http://nuxeo.com/) and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Contributors:
 *     matic
 */
package org.nuxeo.ecm.platform.management.adapters;

import java.util.Set;

/**
 * @author Stephane Lacoin (Nuxeo EP Software Engineer)
 */
public interface RuntimeInventoryMBean {

    String getName();

    String getDescription();

    String getVersion();

    String getHome();

    Set<String> getAvailableComponents();

    int getAvailableComponentsCount();

    Set<String> getPendingComponentsName();

    int getPendingComponentsCount();

    void bindTree();

    void unbindTree();

    boolean isTreeBound();

}
