/*
 * (C) Copyright 2006-2007 Nuxeo SA (http://nuxeo.com/) and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Contributors:
 *     Nuxeo - initial API and implementation
 */

package org.nuxeo.ecm.platform.ui.web.auth.interfaces;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public interface NuxeoAuthenticationPluginLogoutExtension {

    /**
     * Handles logout operation.
     * <p>
     * Generic logout (killing session and Seam objects) is done by LogoutActionBean This interface must be implemented
     * by auth plugin when the target auth system needs a specific logout procedure.
     *
     * @return true if caller must stop execution (ie: logout generated a redirect), false otherwise
     */
    Boolean handleLogout(HttpServletRequest httpRequest, HttpServletResponse httpResponse);

}
